<?php

  $debugin              = $decoded['debug'];
  $clave                = $decoded['empresa']['clave'];
  $nombre               = $decoded['empresa']['nombre'];

  //Valida Existencia de Producto
  $Query = "
    SELECT
      emp.Id
    FROM KB_Empresas emp
    WHERE
      emp.Clave = '$clave'
      OR emp.Nombre = '$nombre'
  ";
  $Result = mysqli_query($mysqli, $Query);
  $Emp = mysqli_fetch_assoc($Result);
  if( $Emp[Id] ){

    $Data = array(
      'action'      => 'error',
      'error'       => 'emp-1',
      'error_msn'   => 'Empresa existente'
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);


  }else{

    if( ( $clave && $nombre ) && ( $clave != ' ' && $nombre != ' ' ) ){

      //Inserta Categoria en caso de no existir
      $Query = "
        INSERT INTO KB_Empresas
        (
          Clave, Nombre
        )
        VALUES (
          '$clave', '$nombre'
        )
      ";
      $Result = mysqli_query($mysqli, $Query);
      $IdEmp = mysqli_insert_id($mysqli);

      if( $IdEmp ){

        //Respuesta Guardado
        $Data = array(
          'action'         => 'ok',
          'empresa'        => "$nombre",
          'empresa_clave'  => "$clave"
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        $Data = array(
          'action'      => 'error',
          'error'       => 'emp-6',
          'error_msn'   => 'Falta clave o nombre.'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      $Data = array(
        'action'      => 'error',
        'error'       => 'emp-2',
        'error_msn'   => 'Erro al guardar en BD'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }

?>
